create or replace procedure UDO_P_EQUIPDSCMFL_CREATE
/*      */
(
  NEQUIPDSCM                in number,    -- .     
  NCNT                      in number,    --   
  NDATASET_IDENT            out number,   --   
  NDATASET_CONFIG_IDENT     out number    --    
)
is
begin
  /*   */
  NDATASET_IDENT        := GEN_IDENT();
  NDATASET_CONFIG_IDENT := GEN_IDENT();
  /*     */
  for I in 1 .. NCNT
  loop
    P_FILE_BUFFER_INSERT(NIDENT    => NDATASET_IDENT,
                         CFILENAME => 'data_' || NEQUIPDSCM || '_' || I || '_' || TO_CHAR(sysdate, 'yyyymmddhh24miss') ||
                                      '.xml',
                         CDATA     => '   ' || I,
                         BLOBDATA  => CLOB2BLOB(LCDATA => '   ' || I));
  end loop;
  /*     */
  P_FILE_BUFFER_INSERT(NIDENT    => NDATASET_CONFIG_IDENT,
                       CFILENAME => null,
                       CDATA     => '  ',
                       BLOBDATA  => null);
end UDO_P_EQUIPDSCMFL_CREATE;
/
